﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ExpressionValueSelector.ascx.cs" Inherits="CheckboxWeb.Forms.Surveys.Controls.ExpressionValueSelector" %>

<asp:HiddenField ID="_selectedValue" runat="server"/>

<asp:PlaceHolder ID="_valuePlace" runat="server">
    <div class="left">
        <asp:TextBox ID="_valueTxt" runat="server" Width="140"/>
        <asp:DropDownList ID="_valueList" runat="server" Width="140"/>
        <asp:Panel ID="_editableCancelPanel" runat="server" class="hand checkOff ckbxEditableCancel" title="Cancel" >&nbsp;</asp:Panel>
    </div>
</asp:PlaceHolder>

<script type="text/javascript">
    var needToBindDateTimePickers = false;
    $(function () {
        $('#<%=_valueTxt.ClientID%>').change(function () {            
            updateClearBtn('<%=_valueTxt.ClientID%>');

            $('#<%=_selectedValue.ClientID%>').val($(this).val()); 
        });
        updateClearBtn('<%=_valueTxt.ClientID%>');

        $('.ckbxEditableCancel').click(function (evt) {
            $('#' + $(evt.target).attr('associatedInput')).val('');
            $(evt.target).hide('slow');
        });

        $('[id*="newExpression"].ckbxEditableCancel, [id*="newOrExpression"].ckbxEditableCancel, [id*="newAndExpression"].ckbxEditableCancel').hide();

        $('#<%= _valueTxt.ClientID %>[datetimepicker="true"]').datetimepicker({ numberOfMonths: 2, timeFormat: 'hh:mm TT' });

        $(document).on('change', '#<%= _valueList.ClientID %>', function () {
            $('#<%=_selectedValue.ClientID%>').val($(this).val());
        });

        $('#<%=_selectedValue.ClientID%>').val($('#<%= _valueList.ClientID %>').val());
    });

    function updateClearBtn(id) {
        if ($('#' + id).val())
            $('[associatedInput="' + id + '"]').show();
        else
            $('[associatedInput="' + id + '"]').hide();
    }
</script>
